diff --git a/include/hla-1_3/RTIambServices.hh b/include/hla-1_3/RTIambServices.hh
index 5a87aeae..da60b9a2 100644
--- a/include/hla-1_3/RTIambServices.hh
+++ b/include/hla-1_3/RTIambServices.hh
@@ -483,75 +295,47 @@ void requestClassAttributeValueUpdateWithRegion(ObjectClassHandle, const Attribu
  * @{
  */
 
-ObjectClassHandle getObjectClassHandle(const char *)
-    throw (NameNotFound, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError);
+ObjectClassHandle getObjectClassHandle(const char *);
 
-char *getObjectClassName(ObjectClassHandle)
-    throw (ObjectClassNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError);
+char *getObjectClassName(ObjectClassHandle);
 
-AttributeHandle getAttributeHandle(const char *, ObjectClassHandle)
-    throw (ObjectClassNotDefined, NameNotFound, FederateNotExecutionMember,
-	   ConcurrentAccessAttempted, RTIinternalError);
+AttributeHandle getAttributeHandle(const char *, ObjectClassHandle);
 
-char *getAttributeName(AttributeHandle, ObjectClassHandle)
-    throw (ObjectClassNotDefined, AttributeNotDefined, FederateNotExecutionMember,
-	   ConcurrentAccessAttempted, RTIinternalError);
+char *getAttributeName(AttributeHandle, ObjectClassHandle);
 
-InteractionClassHandle getInteractionClassHandle(const char *)
-    throw (NameNotFound, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError);
+InteractionClassHandle getInteractionClassHandle(const char *);
 
-char *getInteractionClassName(InteractionClassHandle)
-    throw (InteractionClassNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError);
+char *getInteractionClassName(InteractionClassHandle);
 
-ParameterHandle getParameterHandle(const char *, InteractionClassHandle)
-    throw (InteractionClassNotDefined, NameNotFound, FederateNotExecutionMember,
-	   ConcurrentAccessAttempted, RTIinternalError);
+ParameterHandle getParameterHandle(const char *, InteractionClassHandle);
 
-char *getParameterName(ParameterHandle, InteractionClassHandle)
-    throw (InteractionClassNotDefined, InteractionParameterNotDefined, FederateNotExecutionMember,
-	   ConcurrentAccessAttempted, RTIinternalError);
+char *getParameterName(ParameterHandle, InteractionClassHandle);
 
-ObjectHandle getObjectInstanceHandle(const char *)
-    throw (ObjectNotKnown, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError);
+ObjectHandle getObjectInstanceHandle(const char *);
 
-char *getObjectInstanceName(ObjectHandle)
-    throw (ObjectNotKnown, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError);
+char *getObjectInstanceName(ObjectHandle);
 
-SpaceHandle getRoutingSpaceHandle(const char *)
-    throw (NameNotFound, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError);
+SpaceHandle getRoutingSpaceHandle(const char *);
 
-char *getRoutingSpaceName(SpaceHandle)
-    throw (SpaceNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError);
+char *getRoutingSpaceName(SpaceHandle);
 
-RTI::DimensionHandle getDimensionHandle(const char *, SpaceHandle)
-    throw (SpaceNotDefined, NameNotFound, FederateNotExecutionMember,
-	   ConcurrentAccessAttempted, RTIinternalError);
+RTI::DimensionHandle getDimensionHandle(const char *, SpaceHandle);
 
-char *getDimensionName(DimensionHandle, SpaceHandle)
-    throw (SpaceNotDefined, DimensionNotDefined, FederateNotExecutionMember,
-	   ConcurrentAccessAttempted, RTIinternalError);
+char *getDimensionName(DimensionHandle, SpaceHandle);
 
-RTI::SpaceHandle getAttributeRoutingSpaceHandle(AttributeHandle, ObjectClassHandle)
-    throw (ObjectClassNotDefined, AttributeNotDefined, FederateNotExecutionMember,
-	   ConcurrentAccessAttempted, RTIinternalError);
+RTI::SpaceHandle getAttributeRoutingSpaceHandle(AttributeHandle, ObjectClassHandle);
 
-RTI::ObjectClassHandle getObjectClass(ObjectHandle)
-    throw (ObjectNotKnown, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError);
+RTI::ObjectClassHandle getObjectClass(ObjectHandle);
 
-RTI::SpaceHandle getInteractionRoutingSpaceHandle(InteractionClassHandle)
-    throw (InteractionClassNotDefined, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError);
+RTI::SpaceHandle getInteractionRoutingSpaceHandle(InteractionClassHandle);
 
-TransportationHandle getTransportationHandle(const char *)
-    throw (NameNotFound, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError);
+TransportationHandle getTransportationHandle(const char *);
 
-char *getTransportationName(TransportationHandle)
-    throw (InvalidTransportationHandle, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError);
+char *getTransportationName(TransportationHandle);
 
-OrderingHandle getOrderingHandle(const char *)
-    throw (NameNotFound, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError);
+OrderingHandle getOrderingHandle(const char *);
 
-char *getOrderingName(OrderingHandle)
-    throw (InvalidOrderingHandle, FederateNotExecutionMember, ConcurrentAccessAttempted, RTIinternalError);
+char *getOrderingName(OrderingHandle);
 
 /**
  * Sets the ClassRelevanceAdvisory (CRA) switch to true. The switch
@@ -571,9 +355,7 @@ char *getOrderingName(OrderingHandle)
  * stopRegistrationForObjectClass respectively are not invoked.
  * @see disableClassRelevanceAdvisorySwitch()
  */
-void enableClassRelevanceAdvisorySwitch()
-    throw (FederateNotExecutionMember, ConcurrentAccessAttempted,
-	   SaveInProgress, RestoreInProgress, RTIinternalError);
+void enableClassRelevanceAdvisorySwitch();
 
 /**
  * Sets the ClassRelevanceAdvisory (CRA) switch to false. The switch
@@ -593,9 +375,7 @@ void enableClassRelevanceAdvisorySwitch()
  * services startRegistrationForObjectClass and
  * stopRegistrationForObjectClass respectively are not invoked.
  */
-void disableClassRelevanceAdvisorySwitch()
-    throw (FederateNotExecutionMember, ConcurrentAccessAttempted,
-	   SaveInProgress, RestoreInProgress, RTIinternalError);
+void disableClassRelevanceAdvisorySwitch();
 
 /**
  * Sets the AttributeRelevanceAdvisory (ARA) switch to true. The switch
@@ -616,9 +396,7 @@ void disableClassRelevanceAdvisorySwitch()
  * turnUpdatesOffForObjectInstance respectively are not invoked.
  * @see disableAttributeRelevanceAdvisorySwitch()
  */
-void enableAttributeRelevanceAdvisorySwitch()
-    throw (FederateNotExecutionMember, ConcurrentAccessAttempted,
-	   SaveInProgress, RestoreInProgress, RTIinternalError);
+void enableAttributeRelevanceAdvisorySwitch();
 
 /**
  * Sets the AttributeRelevanceAdvisory (ARA) switch to false. The switch
@@ -639,9 +417,7 @@ void enableAttributeRelevanceAdvisorySwitch()
  * services turnUpdatesOnForObjectInstance and
  * turnUpdatesOffForObjectInstance respectively are not invoked.
  */
-void disableAttributeRelevanceAdvisorySwitch()
-    throw (FederateNotExecutionMember, ConcurrentAccessAttempted,
-	   SaveInProgress, RestoreInProgress, RTIinternalError);
+void disableAttributeRelevanceAdvisorySwitch();
 
 /**
  * Sets the AttributeScopeAdvisory (ASA) switch to true. The switch state
@@ -661,9 +437,7 @@ void disableAttributeRelevanceAdvisorySwitch()
  * not invoked.
  * @see disableAttributeScopeAdvisorySwitch()
  */
-void enableAttributeScopeAdvisorySwitch()
-    throw (FederateNotExecutionMember, ConcurrentAccessAttempted,
-	   SaveInProgress, RestoreInProgress, RTIinternalError);
+void enableAttributeScopeAdvisorySwitch();
 
 /**
  * Sets the AttributeScopeAdvisory (ASA) switch to false. The switch state
@@ -683,9 +457,7 @@ void enableAttributeScopeAdvisorySwitch()
  * services attributesInScope and attributesOutScope respectively are
  * not invoked.
  */
-void disableAttributeScopeAdvisorySwitch()
-    throw (FederateNotExecutionMember, ConcurrentAccessAttempted,
-	   SaveInProgress, RestoreInProgress, RTIinternalError);
+void disableAttributeScopeAdvisorySwitch();
 
 /**
  * Sets the InteractionRelevanceAdvisory (IRA) switch to true. The switch
@@ -705,9 +477,7 @@ void disableAttributeScopeAdvisorySwitch()
  * not invoked.
  * @see disableInteractionRelevanceAdvisorySwitch()
  */
-void enableInteractionRelevanceAdvisorySwitch()
-    throw (FederateNotExecutionMember, ConcurrentAccessAttempted,
-	   SaveInProgress, RestoreInProgress, RTIinternalError);
+void enableInteractionRelevanceAdvisorySwitch();
 
 /**
  * Sets the InteractionRelevanceAdvisory (IRA) switch to false. The switch
@@ -727,9 +497,7 @@ void enableInteractionRelevanceAdvisorySwitch()
  * services turnInteractionsOn and turnInteractionsOff respectively are
  * not invoked.
  */
-void disableInteractionRelevanceAdvisorySwitch()
-    throw (FederateNotExecutionMember, ConcurrentAccessAttempted,
-	   SaveInProgress, RestoreInProgress, RTIinternalError);
+void disableInteractionRelevanceAdvisorySwitch();
 
 /**
  * Evoke callback (HLA1.3).
@@ -740,8 +508,7 @@ void disableInteractionRelevanceAdvisorySwitch()
  * may evoke 0 or at most 1 callback.
  * @return Always returns false.
  */
-Boolean tick()
-    throw (SpecifiedSaveLabelDoesNotExist, ConcurrentAccessAttempted, RTIinternalError);
+Boolean tick();
 
 /**
  * Blocking callback evocation (CERTI extension).
@@ -750,8 +517,7 @@ Boolean tick()
  * @return true if additional callbacks pending, false otherwise
  * @warning This is a non-standard extension of the HLA 1.3/IEEE-1516 API.
  */
-Boolean tick2()
-    throw (SpecifiedSaveLabelDoesNotExist, ConcurrentAccessAttempted, RTIinternalError);
+Boolean tick2();
 
 /**
  * Generic callback evocation (CERTI extension).
@@ -765,8 +531,7 @@ Boolean tick2()
  * @return true if additional callbacks pending, false otherwise
  * @warning This is a non-standard extension of the HLA 1.3/IEEE-1516 API.
  */
-Boolean __tick_kernel(Boolean multiple, TickTime minimum, TickTime maximum)
-    throw (SpecifiedSaveLabelDoesNotExist, ConcurrentAccessAttempted, RTIinternalError);
+Boolean __tick_kernel(Boolean multiple, TickTime minimum, TickTime maximum);
 
 /**
  * Evoke multiple callbacks (HLA1.3).
@@ -777,8 +542,7 @@ Boolean __tick_kernel(Boolean multiple, TickTime minimum, TickTime maximum)
  * @param[in] maximum the maximum amount of time spent in the tick call.
  * @return true if additional callbacks pending, false otherwise
  */
-Boolean tick(TickTime minimum, TickTime maximum)
-    throw (SpecifiedSaveLabelDoesNotExist, ConcurrentAccessAttempted, RTIinternalError);
+Boolean tick(TickTime minimum, TickTime maximum);
 
 /** @} end group HLA13_SupportService */
 
@@ -796,28 +560,22 @@ Boolean tick(TickTime minimum, TickTime maximum)
  *           - SCHED_FIFO or SCHED_RR on Linux system
  * @warning This is a non-standard extension of the HLA 1.3 API.
  */
-void setPriorityforRTIAProcess(int priority, unsigned int schedPolicy)
-    throw(RTIinternalError) ;
+void setPriorityforRTIAProcess(int priority, unsigned int schedPolicy);
 
 /** 
  * Set Processor Mask affinity for RTIA Process (CERTI Real-time extension).
  * @param mask the mask to be applied for RTIA process (depend on available number of processors)
  * @warning This is a non-standard extension of the HLA 1.3 API.
  */
-void setAffinityforRTIAProcess(cpu_set_t mask)
-    throw(RTIinternalError) ;
+void setAffinityforRTIAProcess(cpu_set_t mask);
 
 /** @} end group CERTI_RealtimeManagement */
 #endif
 
-RTIambassador()
-    throw (MemoryExhausted, RTIinternalError);
+RTIambassador();
 
-~RTIambassador()
-    throw (RTIinternalError);
+~RTIambassador();
 
-RegionToken getRegionToken(Region *)
-    throw (FederateNotExecutionMember, ConcurrentAccessAttempted, RegionNotKnown, RTIinternalError);
+RegionToken getRegionToken(Region *);
 
-Region *getRegion(RegionToken)
-    throw (FederateNotExecutionMember, ConcurrentAccessAttempted, RegionNotKnown, RTIinternalError);
+Region *getRegion(RegionToken);
diff --git a/include/hla-1_3/RTItypes.hh.cmake b/include/hla-1_3/RTItypes.hh.cmake
index 0de82118..ffab350b 100644
--- a/include/hla-1_3/RTItypes.hh.cmake
+++ b/include/hla-1_3/RTItypes.hh.cmake
@@ -147,35 +147,25 @@ public:
 
     virtual ULong size() const = 0 ;
 
-    virtual Handle getHandle(ULong) const
-	throw (ArrayIndexOutOfBounds) = 0  ;
+    virtual Handle getHandle(ULong) const = 0  ;
 
-    virtual ULong getValueLength(ULong) const
-	throw (ArrayIndexOutOfBounds) = 0 ;
+    virtual ULong getValueLength(ULong) const = 0 ;
 
-    virtual void getValue(ULong, char *, ULong &) const
-	throw (ArrayIndexOutOfBounds) = 0 ;
+    virtual void getValue(ULong, char *, ULong &) const = 0 ;
 
-    virtual char *getValuePointer(ULong, ULong &) const
-	throw (ArrayIndexOutOfBounds) = 0 ;
+    virtual char *getValuePointer(ULong, ULong &) const = 0 ;
 
-    virtual TransportType getTransportType(ULong) const
-	throw (InvalidHandleValuePairSetContext) = 0 ;
+    virtual TransportType getTransportType(ULong) const = 0 ;
 
-    virtual OrderType getOrderType(ULong) const
-	throw (ArrayIndexOutOfBounds, InvalidHandleValuePairSetContext) = 0 ;
+    virtual OrderType getOrderType(ULong) const = 0 ;
 
-    virtual Region *getRegion(ULong) const
-	throw (ArrayIndexOutOfBounds, InvalidHandleValuePairSetContext) = 0 ;
+    virtual Region *getRegion(ULong) const = 0 ;
 
-    virtual void add(Handle, const char *, ULong)
-	throw (ValueLengthExceeded, ValueCountExceeded) = 0 ;
+    virtual void add(Handle, const char *, ULong) = 0 ;
 
-    virtual void remove(Handle h)
-	throw (ArrayIndexOutOfBounds) = 0 ;
+    virtual void remove(Handle h) = 0 ;
 
-    virtual void moveFrom(const AttributeHandleValuePairSet &, ULong &)
-	throw (ValueCountExceeded, ArrayIndexOutOfBounds) = 0 ;
+    virtual void moveFrom(const AttributeHandleValuePairSet &, ULong &) = 0 ;
 
     virtual void empty() = 0 ;
 
@@ -187,8 +177,7 @@ public:
 class RTI_EXPORT AttributeSetFactory
 {
 public:
-    static AttributeHandleValuePairSet* create(ULong)
-	throw (MemoryExhausted, ValueCountExceeded, HandleValuePairMaximumExceeded);
+    static AttributeHandleValuePairSet* create(ULong);
 };
 
 class RTI_EXPORT AttributeHandleSet
@@ -198,14 +187,11 @@ public:
 
     virtual ULong size() const = 0 ;
 
-    virtual AttributeHandle getHandle(ULong) const
-	throw (ArrayIndexOutOfBounds) = 0 ;
+    virtual AttributeHandle getHandle(ULong) const = 0 ;
 
-    virtual void add(AttributeHandle)
-	throw (ArrayIndexOutOfBounds, AttributeNotDefined) = 0 ;
+    virtual void add(AttributeHandle) = 0 ;
 
-    virtual void remove(AttributeHandle)
-	throw (AttributeNotDefined) = 0 ;
+    virtual void remove(AttributeHandle) = 0 ;
 
     virtual void empty() = 0 ;
 
@@ -216,8 +202,7 @@ public:
 class RTI_EXPORT AttributeHandleSetFactory
 {
 public:
-    static AttributeHandleSet *create(ULong)
-	throw(MemoryExhausted, ValueCountExceeded);
+    static AttributeHandleSet *create(ULong);
 };
 
 class RTI_EXPORT FederateHandleSet
@@ -227,14 +212,11 @@ public:
 
     virtual ULong size() const = 0 ;
 
-    virtual FederateHandle getHandle(ULong) const
-	throw (ArrayIndexOutOfBounds) = 0 ;
+    virtual FederateHandle getHandle(ULong) const = 0 ;
 
-    virtual void add(FederateHandle)
-	throw (ValueCountExceeded) = 0 ;
+    virtual void add(FederateHandle) = 0 ;
 
-    virtual void remove(FederateHandle)
-	throw (ArrayIndexOutOfBounds) = 0 ;
+    virtual void remove(FederateHandle) = 0 ;
 
     virtual void empty() = 0 ;
 
@@ -244,8 +226,7 @@ public:
 class RTI_EXPORT FederateHandleSetFactory
 {
 public:
-    static FederateHandleSet *create(ULong)
-	throw (MemoryExhausted, ValueCountExceeded);
+    static FederateHandleSet *create(ULong);
 };
 
 class RTI_EXPORT ParameterHandleValuePairSet
@@ -255,35 +236,25 @@ public:
 
     virtual ULong size() const = 0 ;
 
-    virtual Handle getHandle(ULong) const
-	throw (ArrayIndexOutOfBounds) = 0 ;
+    virtual Handle getHandle(ULong) const = 0 ;
 
-    virtual ULong getValueLength(ULong) const
-	throw (ArrayIndexOutOfBounds) = 0 ;
+    virtual ULong getValueLength(ULong) const = 0 ;
 
-    virtual void getValue(ULong, char *, ULong &) const
-	throw (ArrayIndexOutOfBounds) = 0 ;
+    virtual void getValue(ULong, char *, ULong &) const = 0 ;
 
-    virtual char *getValuePointer(ULong, ULong &) const
-	throw (ArrayIndexOutOfBounds) = 0 ;
+    virtual char *getValuePointer(ULong, ULong &) const = 0 ;
 
-    virtual TransportType getTransportType() const
-	throw (InvalidHandleValuePairSetContext) = 0 ;
+    virtual TransportType getTransportType() const = 0 ;
 
-    virtual OrderType getOrderType() const
-	throw (InvalidHandleValuePairSetContext) = 0 ;
+    virtual OrderType getOrderType() const = 0 ;
 
-    virtual Region *getRegion() const
-	throw (InvalidHandleValuePairSetContext) = 0 ;
+    virtual Region *getRegion() const = 0 ;
 
-    virtual void add(Handle, const char *, ULong)
-	throw (ValueLengthExceeded, ValueCountExceeded) = 0 ;
+    virtual void add(Handle, const char *, ULong) = 0 ;
 
-    virtual void remove(Handle)
-	throw (ArrayIndexOutOfBounds) = 0 ;
+    virtual void remove(Handle) = 0 ;
 
-    virtual void moveFrom(const ParameterHandleValuePairSet &, ULong &)
-	throw (ValueCountExceeded, ArrayIndexOutOfBounds) = 0 ;
+    virtual void moveFrom(const ParameterHandleValuePairSet &, ULong &) = 0 ;
 
     virtual void empty() = 0 ;
 
@@ -295,8 +266,7 @@ public:
 class RTI_EXPORT ParameterSetFactory
 {
 public:
-    static ParameterHandleValuePairSet *create(ULong)
-	throw (MemoryExhausted, ValueCountExceeded, HandleValuePairMaximumExceeded);
+    static ParameterHandleValuePairSet *create(ULong);
 };
 
 class RTI_EXPORT Region
@@ -304,29 +274,23 @@ class RTI_EXPORT Region
 public:
     virtual ~Region() { }
 
-    virtual ULong getRangeLowerBound(ExtentIndex, DimensionHandle) const
-	throw (ArrayIndexOutOfBounds) = 0 ;
+    virtual ULong getRangeLowerBound(ExtentIndex, DimensionHandle) const = 0 ;
 
-    virtual ULong getRangeUpperBound(ExtentIndex, DimensionHandle) const
-	throw (ArrayIndexOutOfBounds) = 0 ;
+    virtual ULong getRangeUpperBound(ExtentIndex, DimensionHandle) const = 0 ;
 
-    virtual void setRangeLowerBound(ExtentIndex, DimensionHandle, ULong)
-	throw (ArrayIndexOutOfBounds) = 0 ;
+    virtual void setRangeLowerBound(ExtentIndex, DimensionHandle, ULong) = 0 ;
 
-    virtual void setRangeUpperBound(ExtentIndex, DimensionHandle, ULong)
-	throw (ArrayIndexOutOfBounds) = 0 ;
+    virtual void setRangeUpperBound(ExtentIndex, DimensionHandle, ULong) = 0 ;
 
     virtual SpaceHandle getSpaceHandle() const
-	throw () = 0 ;
+  noexcept = 0 ;
 
     virtual ULong getNumberOfExtents() const
-	throw () = 0 ;
+  noexcept = 0 ;
 
-    virtual ULong getRangeLowerBoundNotificationLimit(ExtentIndex, DimensionHandle) const
-	throw (ArrayIndexOutOfBounds) = 0 ;
+    virtual ULong getRangeLowerBoundNotificationLimit(ExtentIndex, DimensionHandle) const = 0 ;
 
-    virtual ULong getRangeUpperBoundNotificationLimit(ExtentIndex, DimensionHandle) const
-	throw (ArrayIndexOutOfBounds) = 0 ;
+    virtual ULong getRangeUpperBoundNotificationLimit(ExtentIndex, DimensionHandle) const = 0 ;
 } ;
 
 class FEDTIME_EXPORT FedTime
@@ -340,29 +304,21 @@ public:
     virtual void setPositiveInfinity() = 0 ;
     virtual Boolean isPositiveInfinity() = 0 ;
 
-    virtual FedTime &operator+=(const FedTime &)
-	throw (InvalidFederationTime) = 0 ;
+    virtual FedTime &operator+=(const FedTime &) = 0 ;
 
-    virtual FedTime &operator-=(const FedTime &)
-	throw (InvalidFederationTime) = 0 ;
+    virtual FedTime &operator-=(const FedTime &) = 0 ;
 
-    virtual Boolean operator<=(const FedTime &) const
-	throw (InvalidFederationTime) = 0 ;
+    virtual Boolean operator<=(const FedTime &) const = 0 ;
 
-    virtual Boolean operator<(const FedTime &) const
-	throw (InvalidFederationTime) = 0 ;
+    virtual Boolean operator<(const FedTime &) const = 0 ;
 
-    virtual Boolean operator>=(const FedTime &) const
-	throw (InvalidFederationTime) = 0 ;
+    virtual Boolean operator>=(const FedTime &) const = 0 ;
 
-    virtual Boolean operator>(const FedTime &) const
-	throw (InvalidFederationTime) = 0 ;
+    virtual Boolean operator>(const FedTime &) const = 0 ;
 
-    virtual Boolean operator==(const FedTime &) const
-	throw (InvalidFederationTime) = 0 ;
+    virtual Boolean operator==(const FedTime &) const = 0 ;
 
-    virtual FedTime &operator=(const FedTime &)
-	throw (InvalidFederationTime) = 0 ;
+    virtual FedTime &operator=(const FedTime &) = 0 ;
 
     virtual int encodedLength() const = 0 ;
     virtual void encode(char *) const = 0 ;
@@ -373,11 +329,9 @@ public:
 class FEDTIME_EXPORT FedTimeFactory
 {
 public:
-    static RTI::FedTime *makeZero()
-	throw (RTI::MemoryExhausted);
+    static RTI::FedTime *makeZero();
 
-    static RTI::FedTime* decode(const char *buf)
-	throw (RTI::MemoryExhausted);
+    static RTI::FedTime* decode(const char *buf);
 };
 
 struct EventRetractionHandle_s {
diff --git a/include/hla-1_3/federateAmbServices.hh b/include/hla-1_3/federateAmbServices.hh
index 344967a4..676b8c8a 100644
--- a/include/hla-1_3/federateAmbServices.hh
+++ b/include/hla-1_3/federateAmbServices.hh
@@ -2,149 +2,98 @@
 
 // Federation Management
 
-virtual void synchronizationPointRegistrationSucceeded(const char *)
-    throw (FederateInternalError) = 0 ;
+virtual void synchronizationPointRegistrationSucceeded(const char *) = 0 ;
 
-virtual void synchronizationPointRegistrationFailed(const char *)
-    throw (FederateInternalError) = 0 ;
+virtual void synchronizationPointRegistrationFailed(const char *) = 0 ;
 
-virtual void announceSynchronizationPoint(const char *, const char *)
-    throw (FederateInternalError) = 0 ;
+virtual void announceSynchronizationPoint(const char *, const char *) = 0 ;
 
-virtual void federationSynchronized(const char *)
-    throw (FederateInternalError) = 0 ;
+virtual void federationSynchronized(const char *) = 0 ;
 
-virtual void initiateFederateSave (const char *)
-    throw (UnableToPerformSave, FederateInternalError) = 0 ;
+virtual void initiateFederateSave (const char *) = 0 ;
 
-virtual void federationSaved()
-    throw (FederateInternalError) = 0 ;
+virtual void federationSaved() = 0 ;
 
-virtual void federationNotSaved ()
-    throw (FederateInternalError) = 0 ;
+virtual void federationNotSaved () = 0 ;
 
-virtual void requestFederationRestoreSucceeded (const char *)
-    throw (FederateInternalError) = 0 ;
+virtual void requestFederationRestoreSucceeded (const char *) = 0 ;
 
-virtual void requestFederationRestoreFailed(const char *, const char *)
-    throw (FederateInternalError) = 0 ;
+virtual void requestFederationRestoreFailed(const char *, const char *) = 0 ;
 
-virtual void federationRestoreBegun()
-    throw (FederateInternalError) = 0 ;
+virtual void federationRestoreBegun() = 0 ;
 
-virtual void initiateFederateRestore (const char *, FederateHandle)
-    throw (SpecifiedSaveLabelDoesNotExist, CouldNotRestore, FederateInternalError) = 0 ;
+virtual void initiateFederateRestore (const char *, FederateHandle) = 0 ;
 
-virtual void federationRestored()
-    throw (FederateInternalError) = 0 ;
+virtual void federationRestored() = 0 ;
 
-virtual void federationNotRestored()
-    throw (FederateInternalError) = 0 ;
+virtual void federationNotRestored() = 0 ;
 
 // Declaration Management
 
-virtual void startRegistrationForObjectClass(ObjectClassHandle)
-    throw (ObjectClassNotPublished, FederateInternalError) = 0 ;
+virtual void startRegistrationForObjectClass(ObjectClassHandle) = 0 ;
 
-virtual void stopRegistrationForObjectClass(ObjectClassHandle)
-    throw (ObjectClassNotPublished, FederateInternalError) = 0 ;
+virtual void stopRegistrationForObjectClass(ObjectClassHandle) = 0 ;
 
-virtual void turnInteractionsOn(InteractionClassHandle)
-    throw (InteractionClassNotPublished, FederateInternalError) = 0 ;
+virtual void turnInteractionsOn(InteractionClassHandle) = 0 ;
 
-virtual void turnInteractionsOff(InteractionClassHandle)
-    throw (InteractionClassNotPublished, FederateInternalError) = 0 ;
+virtual void turnInteractionsOff(InteractionClassHandle) = 0 ;
 
 // Object Management
 
-virtual void discoverObjectInstance(ObjectHandle, ObjectClassHandle, const char *)
-    throw (CouldNotDiscover, ObjectClassNotKnown, FederateInternalError) = 0 ;
+virtual void discoverObjectInstance(ObjectHandle, ObjectClassHandle, const char *) = 0 ;
 
 virtual void reflectAttributeValues(ObjectHandle, const AttributeHandleValuePairSet &,
-				    const FedTime &, const char *, EventRetractionHandle)
-    throw (ObjectNotKnown, AttributeNotKnown, FederateOwnsAttributes, InvalidFederationTime, 
-	   FederateInternalError) = 0 ;
+                    const FedTime &, const char *, EventRetractionHandle) = 0 ;
 
-virtual void reflectAttributeValues(ObjectHandle, const AttributeHandleValuePairSet &, const char *)
-    throw (ObjectNotKnown, AttributeNotKnown, FederateOwnsAttributes, FederateInternalError) = 0 ;
+virtual void reflectAttributeValues(ObjectHandle, const AttributeHandleValuePairSet &, const char *) = 0 ;
 
 virtual void receiveInteraction(InteractionClassHandle, const ParameterHandleValuePairSet &,
-				const FedTime &, const char *, EventRetractionHandle)
-    throw (InteractionClassNotKnown, InteractionParameterNotKnown, InvalidFederationTime,
-	   FederateInternalError) = 0 ;
+                const FedTime &, const char *, EventRetractionHandle) = 0 ;
 
-virtual void receiveInteraction(InteractionClassHandle, const ParameterHandleValuePairSet &, const char *)
-    throw (InteractionClassNotKnown, InteractionParameterNotKnown, FederateInternalError) = 0 ;
+virtual void receiveInteraction(InteractionClassHandle, const ParameterHandleValuePairSet &, const char *) = 0 ;
 
-virtual void removeObjectInstance(ObjectHandle, const FedTime &, const char *, EventRetractionHandle)
-    throw (ObjectNotKnown, InvalidFederationTime, FederateInternalError) = 0 ;
+virtual void removeObjectInstance(ObjectHandle, const FedTime &, const char *, EventRetractionHandle) = 0 ;
 
-virtual void removeObjectInstance(ObjectHandle, const char *)
-    throw (ObjectNotKnown, FederateInternalError) = 0 ;
+virtual void removeObjectInstance(ObjectHandle, const char *) = 0 ;
 
-virtual void attributesInScope (ObjectHandle, const AttributeHandleSet &)
-    throw (ObjectNotKnown, AttributeNotKnown, FederateInternalError) = 0 ;
+virtual void attributesInScope (ObjectHandle, const AttributeHandleSet &) = 0 ;
 
-virtual void attributesOutOfScope(ObjectHandle, const AttributeHandleSet &)
-    throw (ObjectNotKnown, AttributeNotKnown, FederateInternalError) = 0 ;
+virtual void attributesOutOfScope(ObjectHandle, const AttributeHandleSet &) = 0 ;
 
-virtual void provideAttributeValueUpdate(ObjectHandle, const AttributeHandleSet &)
-    throw (ObjectNotKnown, AttributeNotKnown, AttributeNotOwned, FederateInternalError) = 0 ;
+virtual void provideAttributeValueUpdate(ObjectHandle, const AttributeHandleSet &) = 0 ;
 
-virtual void turnUpdatesOnForObjectInstance (ObjectHandle, const AttributeHandleSet &)
-    throw (ObjectNotKnown, AttributeNotOwned, FederateInternalError) = 0 ;
+virtual void turnUpdatesOnForObjectInstance (ObjectHandle, const AttributeHandleSet &) = 0 ;
 
-virtual void turnUpdatesOffForObjectInstance (ObjectHandle, const AttributeHandleSet &)
-    throw (ObjectNotKnown, AttributeNotOwned, FederateInternalError) = 0 ;
+virtual void turnUpdatesOffForObjectInstance (ObjectHandle, const AttributeHandleSet &) = 0 ;
 
 // Ownership Management
 
-virtual void requestAttributeOwnershipAssumption(ObjectHandle, const AttributeHandleSet &, const char *)
-    throw (ObjectNotKnown, AttributeNotKnown, AttributeAlreadyOwned, AttributeNotPublished,
-	   FederateInternalError) = 0 ;
+virtual void requestAttributeOwnershipAssumption(ObjectHandle, const AttributeHandleSet &, const char *) = 0 ;
 
-virtual void attributeOwnershipDivestitureNotification(ObjectHandle, const AttributeHandleSet &)
-    throw (ObjectNotKnown, AttributeNotKnown, AttributeNotOwned, AttributeDivestitureWasNotRequested,
-	   FederateInternalError) = 0 ;
+virtual void attributeOwnershipDivestitureNotification(ObjectHandle, const AttributeHandleSet &) = 0 ;
 
-virtual void attributeOwnershipAcquisitionNotification(ObjectHandle, const AttributeHandleSet &)
-    throw (ObjectNotKnown, AttributeNotKnown, AttributeAcquisitionWasNotRequested, AttributeAlreadyOwned,
-	   AttributeNotPublished, FederateInternalError) = 0 ;
+virtual void attributeOwnershipAcquisitionNotification(ObjectHandle, const AttributeHandleSet &) = 0 ;
 
-virtual void attributeOwnershipUnavailable(ObjectHandle, const AttributeHandleSet &)
-    throw (ObjectNotKnown, AttributeNotKnown, AttributeNotDefined, AttributeAlreadyOwned,
-	   AttributeAcquisitionWasNotRequested, FederateInternalError) = 0 ;
+virtual void attributeOwnershipUnavailable(ObjectHandle, const AttributeHandleSet &) = 0 ;
 
-virtual void requestAttributeOwnershipRelease(ObjectHandle, const AttributeHandleSet &, const char *)
-    throw (ObjectNotKnown, AttributeNotKnown, AttributeNotOwned, FederateInternalError) = 0 ;
+virtual void requestAttributeOwnershipRelease(ObjectHandle, const AttributeHandleSet &, const char *) = 0 ;
 
-virtual void confirmAttributeOwnershipAcquisitionCancellation(ObjectHandle, const AttributeHandleSet &)
-    throw (ObjectNotKnown, AttributeNotKnown, AttributeNotDefined, AttributeAlreadyOwned,
-	   AttributeAcquisitionWasNotCanceled, FederateInternalError) = 0 ;
+virtual void confirmAttributeOwnershipAcquisitionCancellation(ObjectHandle, const AttributeHandleSet &) = 0 ;
 
-virtual void informAttributeOwnership(ObjectHandle, AttributeHandle, FederateHandle)
-    throw (ObjectNotKnown, AttributeNotKnown, FederateInternalError) = 0 ;
+virtual void informAttributeOwnership(ObjectHandle, AttributeHandle, FederateHandle) = 0 ;
 
-virtual void attributeIsNotOwned(ObjectHandle, AttributeHandle)
-    throw (ObjectNotKnown, AttributeNotKnown, FederateInternalError) = 0 ;
+virtual void attributeIsNotOwned(ObjectHandle, AttributeHandle) = 0 ;
 
-virtual void attributeOwnedByRTI (ObjectHandle, AttributeHandle)
-    throw (ObjectNotKnown, AttributeNotKnown, FederateInternalError) = 0 ;
+virtual void attributeOwnedByRTI (ObjectHandle, AttributeHandle) = 0 ;
 
 // Time Management
 
-virtual void timeRegulationEnabled(const  FedTime &)
-    throw (InvalidFederationTime, EnableTimeRegulationWasNotPending, FederateInternalError) = 0 ;
+virtual void timeRegulationEnabled(const  FedTime &) = 0 ;
 
-virtual void timeConstrainedEnabled(const FedTime &)
-    throw (InvalidFederationTime, EnableTimeConstrainedWasNotPending, FederateInternalError) = 0 ;
+virtual void timeConstrainedEnabled(const FedTime &) = 0 ;
 
-virtual void timeAdvanceGrant(const FedTime &)
-    throw (InvalidFederationTime, TimeAdvanceWasNotInProgress, FederationTimeAlreadyPassed,
-	   FederateInternalError) = 0 ;
+virtual void timeAdvanceGrant(const FedTime &) = 0 ;
 
-virtual void requestRetraction(EventRetractionHandle)
-    throw (EventNotKnown, FederateInternalError) = 0 ;
+virtual void requestRetraction(EventRetractionHandle) = 0 ;
 
-virtual ~FederateAmbassador()
-    throw (FederateInternalError) { ; }
+virtual ~FederateAmbassador() { ; }
